# -*- cording: utf-8 -*-

import gym
import sys
import numpy as np


def oagym(GA_action, env_name="CartPole-v0", rending=False):
    fo = open('log.out', 'w')
    sys.stdout = fo

    # 環境名の取得
    env = gym.make(env_name)
    
    env.seed(0)
    obs = env.reset()
    done = False
    R = 0  # 合計報酬
    t = 0  # 継続したステップ数
    while not done and t < 200:  # 最大200ステップで終了
        if rending: env.render()
        action = GA_action[t]
        obs, r, done, _ = env.step(action)
        R += r  # 報酬を加算していく
        t += 1
    print('{0}\t{1}'.format(t, R))
    sys.stdout=  sys.__stdout__
    return  R

if __name__ == "__main__":
    print(oagym([0, 0, 0, 1, 1, 0, 1, 1, 0, 0, 1, 1, 1, 0, 1, 1, 0, 0, 1, 1, 1, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 1, 1, 0, 1, 1, 1, 1, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 1, 1, 0, 1, 1, 0, 1, 0, 0, 1, 1, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 1, 1, 1, 1, 0, 1, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 1, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 1, 1, 0, 0, 0, 1, 1, 1, 0, 1, 1, 1, 0, 1, 0, 0, 1, 0, 0, 1, 1, 0, 1, 1, 0, 1, 1, 0, 1, 0, 1, 0, 0, 0, 1, 1, 1, 0, 0, 0, 1, 1, 0, 1], "CartPole-v0", True))